Loading...
Searching...
No Matches
restinio::impl::generic_request_extra_data_holder_t< Extra_Data > Class Template Reference

Helper class for holding a buffer for extra-data object to be incorporated into a request object. More...

`#include <request_handler.hpp>`

## Public Member Functions

template<typename Factory >
| generic_request_extra_data_holder_t (Factory &factory)
| ~generic_request_extra_data_holder_t () noexcept
RESTINIO_NODISCARD Extra_Data * | get_ptr () noexcept
RESTINIO_NODISCARD const Extra_Data * | get_ptr () const noexcept

## Private Attributes

std::array< char, sizeof(Extra_Data)> | m_data

## Detailed Description

template<typename Extra_Data>
class restinio::impl::generic_request_extra_data_holder_t< Extra_Data >

Helper class for holding a buffer for extra-data object to be incorporated into a request object.

It constructs a new object inside internal buffer m_data in the constructor and correctly destroys extra-data object in the destructor.

Since
  v.0.6.13

Definition at line 154 of file request_handler.hpp.

## Constructor & Destructor Documentation

## generic_request_extra_data_holder_t()

template<typename Extra_Data >
template<typename Factory >

restinio::impl::generic_request_extra_data_holder_t< Extra_Data >::generic_request_extra_data_holder_t | ( | Factory & | factory | ) |

inline

Definition at line 160 of file request_handler.hpp.

## ~generic_request_extra_data_holder_t()

template<typename Extra_Data >

restinio::impl::generic_request_extra_data_holder_t< Extra_Data >::~generic_request_extra_data_holder_t | ( |  | ) |

inline noexcept

Definition at line 166 of file request_handler.hpp.

## Member Function Documentation

## get_ptr() [1/2]

template<typename Extra_Data >

RESTINIO_NODISCARD const Extra_Data * restinio::impl::generic_request_extra_data_holder_t< Extra_Data >::get_ptr | ( |  | ) | const

inline noexcept

Definition at line 183 of file request_handler.hpp.

## get_ptr() [2/2]

template<typename Extra_Data >

RESTINIO_NODISCARD Extra_Data * restinio::impl::generic_request_extra_data_holder_t< Extra_Data >::get_ptr | ( |  | ) |

inline noexcept

Definition at line 173 of file request_handler.hpp.

## Member Data Documentation

## m_data

template<typename Extra_Data >

std::array<char, sizeof(Extra_Data)> restinio::impl::generic_request_extra_data_holder_t< Extra_Data >::m_data

private

Definition at line 156 of file request_handler.hpp.

The documentation for this class was generated from the following file:

- restinio/request_handler.hpp